PROMETHEUS-BLACKBOX-EXPORTER(1)

NAME
prometheus-blackbox-exporter - Blackbox prober for Prometheus

SYNOPSIS

prometheus-blackbox-exporter [<flags>]

DESCRIPTION

OPTIONS

-h, --help
    Show context-sensitive help (also try --help-long and --help-man).

--config.file
    Blackbox exporter configuration file.

--timeout-offset=0.5
    Offset to subtract from timeout in seconds.

--config.check
    If true validate the config file and then exit.

--log.prober
    Log level from probe requests. One of: [debug, info, warn, error]

--history.limit=100
    The maximum amount of items to keep in the history.

--web.external-url=<url>
    The URL under which Blackbox exporter is externally reachable (for example, if Blackbox exporter is served via a reverse proxy). Used for generating relative and absolute links back to Blackbox exporter itself. If the URL has a path portion, it will be used to prefix all HTTP endpoints served by Blackbox exporter. If omitted, relevant URL components will be derived automatically.

--web.route-prefix=<path>
    Prefix for the internal routes of web endpoints. Defaults to path of --web.external-url.

--web.systemd-socket
    Use systemd socket activation listeners instead of port listeners (Linux only).

--web.listen-address=:9115
    Addresses on which to expose metrics and web interface. Repeatable for multiple addresses. Examples: `:9100` or `[::1]:9100` for http, `vsock://:9100` for vsock

--web.config.file
    Path to configuration file that can enable TLS or authentication. See: https://github.com/prometheus/exporter-toolkit/blob/master/docs/web-configuration.md

--log.level=info
    Only log messages with the given severity or above. One of: [debug, info, warn, error]

--log.format=logfmt
    Output format of log messages. One of: [logfmt, json]

--version
    Show application version.